<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): PythonGenerator.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_python_generator_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PythonGenerator.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2014-2016 Freescale Semiconductor, Inc.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright 2016 NXP</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * All rights reserved.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without modification,</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * o Redistributions of source code must retain the above copyright notice, this list</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *   of conditions and the following disclaimer.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * o Redistributions in binary form must reproduce the above copyright notice, this</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *   list of conditions and the following disclaimer in the documentation and/or</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *   other materials provided with the distribution.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * o Neither the name of the copyright holder nor the names of its</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *   contributors may be used to endorse or promote products derived from this</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *   software without specific prior written permission.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef _EMBEDDED_RPC__PYTHONGENERATOR_H_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define _EMBEDDED_RPC__PYTHONGENERATOR_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;Generator.h&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &quot;cpptempl.h&quot;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;set&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment">// Classes</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceerpcgen.html">erpcgen</a> {</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_python_generator.html">   49</a></span>&#160;<span class="keyword">class </span><a class="code" href="classerpcgen_1_1_python_generator.html">PythonGenerator</a> : <span class="keyword">public</span> <a class="code" href="classerpcgen_1_1_generator.html">Generator</a></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;{</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <a class="code" href="classerpcgen_1_1_python_generator.html#aad87b3a5437e1840f97dc9c4a98030bf">PythonGenerator</a>(<a class="code" href="classerpcgen_1_1_interface_definition.html">InterfaceDefinition</a> *def);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_python_generator.html#a16c687c782244dd5a1ffdb20541ee7aa">   64</a></span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_python_generator.html#a16c687c782244dd5a1ffdb20541ee7aa">~PythonGenerator</a>() {}</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#ad16dff80cfd6557f8ebd94ac52cf0b7a">generate</a>();</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_python_generator.html#a3f7fb71335d4279f9e305e6c1f089e7e">   74</a></span>&#160;    <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> <a class="code" href="classerpcgen_1_1_python_generator.html#a3f7fb71335d4279f9e305e6c1f089e7e">m_templateData</a>; </div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_python_generator.html#a64faaba16ab3ada34a74eb2169347e2d">   75</a></span>&#160;    std::string <a class="code" href="classerpcgen_1_1_python_generator.html#a64faaba16ab3ada34a74eb2169347e2d">m_suffixStrip</a>;         </div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_python_generator.html#af4e9684cb2614e1a710670f5bacde45a">   76</a></span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="classerpcgen_1_1_python_generator.html#af4e9684cb2614e1a710670f5bacde45a">m_suffixStripSize</a>;          </div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#ad42fb80a53dd3a60083e068213c1e1dc">parseSubtemplates</a>();</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#a3c02297f1492e80536de6a693e92faee">generateOutputFiles</a>(<span class="keyword">const</span> std::string &amp;fileName);</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#a72086513216a45445c5a5a8c4a76c46f">generateCommonFile</a>(std::string fileName);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#a6be8642a52699e67a25cc871eaad71d4">generateInitFile</a>(std::string fileName);</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#a2089e01eceb16260cc331687cceddfaa">generateClientFile</a>(std::string fileName);</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#a93a809338bbbf64d52d77a356571ac98">generateServerFile</a>(std::string fileName);</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#a8a6db075f452a06cc42bf6fe690c22c9">generateInterfaceFile</a>(std::string fileName);</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> <a class="code" href="classerpcgen_1_1_python_generator.html#a701aef64326c5d473977c223eb59cf9c">getFunctionTemplateData</a>(<a class="code" href="classerpcgen_1_1_function.html">Function</a> *fn, <span class="keywordtype">int</span> fnIndex);</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#a07ac859fb98d3f5c1f7a3d3901db4a9e">getInterfaceComments</a>(<a class="code" href="classerpcgen_1_1_interface.html">Interface</a> *iface, <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> &amp;ifaceInfo);</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_python_generator.html#a17395cf9ce0091195739d7424e07afa5">getFunctionPrototype</a>(<a class="code" href="classerpcgen_1_1_function.html">Function</a> *fn);</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#aa037acaace79eb6ca1574dd0f8f224b3">makeConstTemplateData</a>();</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#a159433bdd4b08321645dde2ab16486eb">makeEnumsTemplateData</a>();</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    cpptempl::data_list <a class="code" href="classerpcgen_1_1_python_generator.html#a2af3aec5e6e3fee1417287f4c12c5cfc">getEnumMembersTemplateData</a>(<a class="code" href="classerpcgen_1_1_enum_type.html">EnumType</a> *enumType);</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#a8432d73aacea31ea804c9f61e951fbf2">makeAliasesTemplateData</a>();</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#aed19dd012e1d6b4c2d35c608b636ee9c">makeStructsTemplateData</a>();</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#a395a47fda56e74785ec229bf3f58b655">setStructMembersTemplateData</a>(<a class="code" href="classerpcgen_1_1_struct_type.html">StructType</a> *structType, <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> &amp;structInfo);</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_python_generator.html#afda1685e2f240fb65bbba975fb686e76">setOneStructMemberTemplateData</a>(<a class="code" href="classerpcgen_1_1_struct_member.html">StructMember</a> *member, <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> &amp;member_info);</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> <a class="code" href="classerpcgen_1_1_python_generator.html#a0de3310fe219907a4d8905424ad837a6">getTypeInfo</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *t);</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_python_generator.html#a7fa7069b3fc9bba5f5210b24a8fa5d92">getBuiltinTypename</a>(<span class="keyword">const</span> <a class="code" href="classerpcgen_1_1_builtin_type.html">BuiltinType</a> *t);</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_python_generator.html#a5d2ae6a2397ee73c1ee2f8f5d6629494">filterName</a>(<span class="keyword">const</span> std::string &amp;name);</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;</div><div class="line"><a name="l00243"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_python_generator.html#afb39bd4d55ecf9aee7d12d0cd35cc7ad">  243</a></span>&#160;    <span class="keyword">enum</span> <a class="code" href="classerpcgen_1_1_python_generator.html#afb39bd4d55ecf9aee7d12d0cd35cc7ad">comment_type</a></div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;    {</div><div class="line"><a name="l00245"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_python_generator.html#afb39bd4d55ecf9aee7d12d0cd35cc7ada9b1c3c4cc99d25a7714dffa03f5bf786">  245</a></span>&#160;        <a class="code" href="classerpcgen_1_1_python_generator.html#afb39bd4d55ecf9aee7d12d0cd35cc7ada9b1c3c4cc99d25a7714dffa03f5bf786">kMultilineComment</a>, </div><div class="line"><a name="l00246"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_python_generator.html#afb39bd4d55ecf9aee7d12d0cd35cc7ada7840ee571c5c5bf32b7ab020cd654d49">  246</a></span>&#160;        <a class="code" href="classerpcgen_1_1_python_generator.html#afb39bd4d55ecf9aee7d12d0cd35cc7ada7840ee571c5c5bf32b7ab020cd654d49">kInlineComment</a>,    </div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;    };</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_python_generator.html#ae643a1318bc37f638b224f42ca59168b">convertComment</a>(<span class="keyword">const</span> std::string &amp;comment, <a class="code" href="classerpcgen_1_1_python_generator.html#afb39bd4d55ecf9aee7d12d0cd35cc7ad">comment_type</a> commentType);</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_python_generator.html#ab97d050c3a25fbcb4e06fea09d79788d">stripWhitespace</a>(<span class="keyword">const</span> std::string &amp;s);</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;};</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;</div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;} <span class="comment">// namespace erpcgen</span></div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;<span class="preprocessor">#endif // _EMBEDDED_RPC__PYTHONGENERATOR_H_</span></div><div class="ttc" id="classerpcgen_1_1_interface_definition_html"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html">erpcgen::InterfaceDefinition</a></div><div class="ttdoc">Collects all definitions from an IDL. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.h:52</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a0de3310fe219907a4d8905424ad837a6"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a0de3310fe219907a4d8905424ad837a6">erpcgen::PythonGenerator::getTypeInfo</a></div><div class="ttdeci">cpptempl::data_map getTypeInfo(DataType *t)</div><div class="ttdoc">This function return necessary template data for data type. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:452</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a7fa7069b3fc9bba5f5210b24a8fa5d92"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a7fa7069b3fc9bba5f5210b24a8fa5d92">erpcgen::PythonGenerator::getBuiltinTypename</a></div><div class="ttdeci">std::string getBuiltinTypename(const BuiltinType *t)</div><div class="ttdoc">This function return string representation for given BuiltinType. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:558</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_afb39bd4d55ecf9aee7d12d0cd35cc7ada9b1c3c4cc99d25a7714dffa03f5bf786"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#afb39bd4d55ecf9aee7d12d0cd35cc7ada9b1c3c4cc99d25a7714dffa03f5bf786">erpcgen::PythonGenerator::kMultilineComment</a></div><div class="ttdoc">Leading multi-line comment. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.h:245</div></div>
<div class="ttc" id="classerpcgen_1_1_struct_member_html"><div class="ttname"><a href="classerpcgen_1_1_struct_member.html">erpcgen::StructMember</a></div><div class="ttdoc">Member of a struct. </div><div class="ttdef"><b>Definition:</b> StructMember.h:61</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a6be8642a52699e67a25cc871eaad71d4"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a6be8642a52699e67a25cc871eaad71d4">erpcgen::PythonGenerator::generateInitFile</a></div><div class="ttdeci">void generateInitFile(std::string fileName)</div><div class="ttdoc">This function generate output package init file. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:85</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_afb39bd4d55ecf9aee7d12d0cd35cc7ada7840ee571c5c5bf32b7ab020cd654d49"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#afb39bd4d55ecf9aee7d12d0cd35cc7ada7840ee571c5c5bf32b7ab020cd654d49">erpcgen::PythonGenerator::kInlineComment</a></div><div class="ttdoc">Trailing inline comment. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.h:246</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_afda1685e2f240fb65bbba975fb686e76"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#afda1685e2f240fb65bbba975fb686e76">erpcgen::PythonGenerator::setOneStructMemberTemplateData</a></div><div class="ttdeci">void setOneStructMemberTemplateData(StructMember *member, cpptempl::data_map &amp;member_info)</div><div class="ttdoc">Fill in template data for a single struct member. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:438</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a64faaba16ab3ada34a74eb2169347e2d"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a64faaba16ab3ada34a74eb2169347e2d">erpcgen::PythonGenerator::m_suffixStrip</a></div><div class="ttdeci">std::string m_suffixStrip</div><div class="ttdoc">String to remove from suffixes of names. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.h:75</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_ae643a1318bc37f638b224f42ca59168b"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#ae643a1318bc37f638b224f42ca59168b">erpcgen::PythonGenerator::convertComment</a></div><div class="ttdeci">std::string convertComment(const std::string &amp;comment, comment_type commentType)</div><div class="ttdoc">Converts a C++-style Doxygen comment into a Python Doxygen comment. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:607</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a93a809338bbbf64d52d77a356571ac98"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a93a809338bbbf64d52d77a356571ac98">erpcgen::PythonGenerator::generateServerFile</a></div><div class="ttdeci">void generateServerFile(std::string fileName)</div><div class="ttdoc">This function generate output server file. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:103</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a701aef64326c5d473977c223eb59cf9c"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a701aef64326c5d473977c223eb59cf9c">erpcgen::PythonGenerator::getFunctionTemplateData</a></div><div class="ttdeci">cpptempl::data_map getFunctionTemplateData(Function *fn, int fnIndex)</div><div class="ttdoc">This function return interface function template data. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:177</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_aad87b3a5437e1840f97dc9c4a98030bf"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#aad87b3a5437e1840f97dc9c4a98030bf">erpcgen::PythonGenerator::PythonGenerator</a></div><div class="ttdeci">PythonGenerator(InterfaceDefinition *def)</div><div class="ttdoc">This function is constructor of PythonGenerator class. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:57</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_aed19dd012e1d6b4c2d35c608b636ee9c"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#aed19dd012e1d6b4c2d35c608b636ee9c">erpcgen::PythonGenerator::makeStructsTemplateData</a></div><div class="ttdeci">void makeStructsTemplateData()</div><div class="ttdoc">This function sets structures template data. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:400</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a2089e01eceb16260cc331687cceddfaa"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a2089e01eceb16260cc331687cceddfaa">erpcgen::PythonGenerator::generateClientFile</a></div><div class="ttdeci">void generateClientFile(std::string fileName)</div><div class="ttdoc">This function generate output client file. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:97</div></div>
<div class="ttc" id="classerpcgen_1_1_builtin_type_html"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html">erpcgen::BuiltinType</a></div><div class="ttdoc">Represents the builtin atomic types. </div><div class="ttdef"><b>Definition:</b> BuiltinType.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_struct_type_html"><div class="ttname"><a href="classerpcgen_1_1_struct_type.html">erpcgen::StructType</a></div><div class="ttdoc">Structure data type. </div><div class="ttdef"><b>Definition:</b> StructType.h:50</div></div>
<div class="ttc" id="classerpcgen_1_1_function_html"><div class="ttname"><a href="classerpcgen_1_1_function.html">erpcgen::Function</a></div><div class="ttdoc">Function declaration. </div><div class="ttdef"><b>Definition:</b> Function.h:51</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a16c687c782244dd5a1ffdb20541ee7aa"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a16c687c782244dd5a1ffdb20541ee7aa">erpcgen::PythonGenerator::~PythonGenerator</a></div><div class="ttdeci">virtual ~PythonGenerator()</div><div class="ttdoc">This function is destructor of PythonGenerator class. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.h:64</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a8a6db075f452a06cc42bf6fe690c22c9"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a8a6db075f452a06cc42bf6fe690c22c9">erpcgen::PythonGenerator::generateInterfaceFile</a></div><div class="ttdeci">void generateInterfaceFile(std::string fileName)</div><div class="ttdoc">This function generate output interface file. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:109</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a395a47fda56e74785ec229bf3f58b655"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a395a47fda56e74785ec229bf3f58b655">erpcgen::PythonGenerator::setStructMembersTemplateData</a></div><div class="ttdeci">void setStructMembersTemplateData(StructType *structType, cpptempl::data_map &amp;structInfo)</div><div class="ttdoc">This function sets struct member information to struct data map variable. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:422</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_ad42fb80a53dd3a60083e068213c1e1dc"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#ad42fb80a53dd3a60083e068213c1e1dc">erpcgen::PythonGenerator::parseSubtemplates</a></div><div class="ttdeci">void parseSubtemplates()</div><div class="ttdoc">This function prepare helpful functions located in template files. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:115</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html">erpcgen::PythonGenerator</a></div><div class="ttdoc">Code generator for Python. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_generator_html"><div class="ttname"><a href="classerpcgen_1_1_generator.html">erpcgen::Generator</a></div><div class="ttdoc">Abstract code generator base class. </div><div class="ttdef"><b>Definition:</b> Generator.h:63</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a3f7fb71335d4279f9e305e6c1f089e7e"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a3f7fb71335d4279f9e305e6c1f089e7e">erpcgen::PythonGenerator::m_templateData</a></div><div class="ttdeci">cpptempl::data_map m_templateData</div><div class="ttdoc">Data prepared for templates files. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.h:74</div></div>
<div class="ttc" id="classerpcgen_1_1_data_type_html"><div class="ttname"><a href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></div><div class="ttdoc">Base class for data types. </div><div class="ttdef"><b>Definition:</b> DataType.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_ab97d050c3a25fbcb4e06fea09d79788d"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#ab97d050c3a25fbcb4e06fea09d79788d">erpcgen::PythonGenerator::stripWhitespace</a></div><div class="ttdeci">std::string stripWhitespace(const std::string &amp;s)</div><div class="ttdoc">Strip leading and trailing whitespace. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:710</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_aa037acaace79eb6ca1574dd0f8f224b3"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#aa037acaace79eb6ca1574dd0f8f224b3">erpcgen::PythonGenerator::makeConstTemplateData</a></div><div class="ttdeci">void makeConstTemplateData()</div><div class="ttdoc">This function sets const template data. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:272</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a3c02297f1492e80536de6a693e92faee"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a3c02297f1492e80536de6a693e92faee">erpcgen::PythonGenerator::generateOutputFiles</a></div><div class="ttdeci">void generateOutputFiles(const std::string &amp;fileName)</div><div class="ttdoc">This function generate output files. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:64</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a8432d73aacea31ea804c9f61e951fbf2"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a8432d73aacea31ea804c9f61e951fbf2">erpcgen::PythonGenerator::makeAliasesTemplateData</a></div><div class="ttdeci">void makeAliasesTemplateData()</div><div class="ttdoc">Fill in template data for type aliases. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:353</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a07ac859fb98d3f5c1f7a3d3901db4a9e"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a07ac859fb98d3f5c1f7a3d3901db4a9e">erpcgen::PythonGenerator::getInterfaceComments</a></div><div class="ttdeci">void getInterfaceComments(Interface *iface, cpptempl::data_map &amp;ifaceInfo)</div><div class="ttdoc">This function will get interface comments and convert to language specific ones. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:170</div></div>
<div class="ttc" id="classcpptempl_1_1data__map_html"><div class="ttname"><a href="classcpptempl_1_1data__map.html">cpptempl::data_map</a></div><div class="ttdef"><b>Definition:</b> cpptempl.h:190</div></div>
<div class="ttc" id="classerpcgen_1_1_enum_type_html"><div class="ttname"><a href="classerpcgen_1_1_enum_type.html">erpcgen::EnumType</a></div><div class="ttdoc">Enumerate data type. </div><div class="ttdef"><b>Definition:</b> EnumType.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a17395cf9ce0091195739d7424e07afa5"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a17395cf9ce0091195739d7424e07afa5">erpcgen::PythonGenerator::getFunctionPrototype</a></div><div class="ttdeci">std::string getFunctionPrototype(Function *fn)</div><div class="ttdoc">This function return interface function prototype. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:248</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_afb39bd4d55ecf9aee7d12d0cd35cc7ad"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#afb39bd4d55ecf9aee7d12d0cd35cc7ad">erpcgen::PythonGenerator::comment_type</a></div><div class="ttdeci">comment_type</div><div class="ttdoc">Possible Doxygen comment styles. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.h:243</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a159433bdd4b08321645dde2ab16486eb"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a159433bdd4b08321645dde2ab16486eb">erpcgen::PythonGenerator::makeEnumsTemplateData</a></div><div class="ttdeci">void makeEnumsTemplateData()</div><div class="ttdoc">This function sets enum template data. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:309</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_html"><div class="ttname"><a href="classerpcgen_1_1_interface.html">erpcgen::Interface</a></div><div class="ttdoc">An interface that contains functions. </div><div class="ttdef"><b>Definition:</b> Interface.h:50</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_af4e9684cb2614e1a710670f5bacde45a"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#af4e9684cb2614e1a710670f5bacde45a">erpcgen::PythonGenerator::m_suffixStripSize</a></div><div class="ttdeci">size_t m_suffixStripSize</div><div class="ttdoc">Length of the suffix filter string. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.h:76</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a72086513216a45445c5a5a8c4a76c46f"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a72086513216a45445c5a5a8c4a76c46f">erpcgen::PythonGenerator::generateCommonFile</a></div><div class="ttdeci">void generateCommonFile(std::string fileName)</div><div class="ttdoc">This function generate output common module. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:91</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a5d2ae6a2397ee73c1ee2f8f5d6629494"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a5d2ae6a2397ee73c1ee2f8f5d6629494">erpcgen::PythonGenerator::filterName</a></div><div class="ttdeci">std::string filterName(const std::string &amp;name)</div><div class="ttdoc">Filter symbol names. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:593</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_ad16dff80cfd6557f8ebd94ac52cf0b7a"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#ad16dff80cfd6557f8ebd94ac52cf0b7a">erpcgen::PythonGenerator::generate</a></div><div class="ttdeci">virtual void generate()</div><div class="ttdoc">This function generate output code for output files. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:128</div></div>
<div class="ttc" id="namespaceerpcgen_html"><div class="ttname"><a href="namespaceerpcgen.html">erpcgen</a></div><div class="ttdef"><b>Definition:</b> AstNode.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_python_generator_html_a2af3aec5e6e3fee1417287f4c12c5cfc"><div class="ttname"><a href="classerpcgen_1_1_python_generator.html#a2af3aec5e6e3fee1417287f4c12c5cfc">erpcgen::PythonGenerator::getEnumMembersTemplateData</a></div><div class="ttdeci">cpptempl::data_list getEnumMembersTemplateData(EnumType *enumType)</div><div class="ttdoc">This function return enum members template data. </div><div class="ttdef"><b>Definition:</b> PythonGenerator.cpp:334</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
